# vim: set ts=4 sw=4 et:
# Copyright (c) 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        Oggz plugin for OGMRip
Name:           ogmrip-oggz
Version:        0.2
Release:        1.1
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-oggz-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.bz2
License:        GNU Lesser General Public License version 2.1 or later (LGPLv2.1 or later)
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  libdvdread-devel
BuildRequires:  liboggz-devel
BuildRequires:  libogmrip-devel
BuildRequires:  pkgconfig
Requires:       MPlayer
Requires:       ogmrip

%description
ogmrip-oggz is a plugin for OGMRip which adds support for the OGG container.

%lang_package

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
    --enable-static=no
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall \
    containersdir=%{_libdir}/ogmrip/container-plugins

%find_lang %{name}

%__rm %{buildroot}%{_libdir}/ogmrip/container-plugins/libogmrip-oggz.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/container-plugins
%{_libdir}/ogmrip/container-plugins/libogmrip-oggz.so
%dir %{_datadir}/ogmrip
%dir %{_datadir}/ogmrip/profiles
%{_datadir}/ogmrip/profiles/profile-oggz.xml

%files lang -f %{name}.lang

%changelog
* Tue Dec 29 2009 toni@links2linux.de
- update to 0.2
* Mon Oct 19 2009 toni@links2linux.de
- initial package for 0.1
